

package at.phk.launcher3;


import android.app.Activity;
import android.os.Bundle;
import android.app.TabActivity;
import android.os.Bundle;
import android.widget.TabHost;
import android.widget.TabHost.TabSpec;
import android.view.LayoutInflater;
import android.view.View;
import android.view.*;
import android.app.*;
import android.os.*;
import android.net.*;
import android.net.wifi.*;
import android.widget.*;
import android.util.*;
import android.content.*;
import android.content.res.*;


public class Tabs extends TabActivity {
	public static class Activity1 extends Activity implements View.OnClickListener {

		static final int PHONE=1001;
		static final int SMS=1002;
		static final int WEB=1003;
		static final int SEARCH=1004;
		static final int SSH=1005;

		static final int WLAN=1010;
		static final int G3=1011;

		static final int PREF1=1020;
		static final int PREF2=1021;

		EditText input=null;


		 public void onCreate(Bundle savedInstanceState) {
			  super.onCreate(savedInstanceState);
				System.out.println("oncreate 1");
				LinearLayout ll=new LinearLayout(this);
				LinearLayout.LayoutParams lp=new LinearLayout.LayoutParams(
				ViewGroup.LayoutParams.FILL_PARENT,ViewGroup.LayoutParams.WRAP_CONTENT
				);
				lp.weight=0.1f;
				ll.setLayoutParams(lp);
				ll.setOrientation(LinearLayout.VERTICAL);

				
			  TextView textview = new TextView(this);
			  textview.setText("Go:");
				ll.addView(textview);

				input=new EditText(this);
				ll.addView(input);

		
				LinearLayout ll2=new LinearLayout(this);
				ll.setLayoutParams(lp);

				Button b=new Button(this);
				b.setId(PHONE);
				b.setLayoutParams(lp);
				b.setText("Phone");
				b.setOnClickListener(this);
				ll2.addView(b);
				b=new Button(this);
				b.setId(SMS);
				b.setOnClickListener(this);
				b.setLayoutParams(lp);
				b.setText("SMS");
				ll2.addView(b);
				b=new Button(this);
				b.setId(WEB);
				b.setOnClickListener(this);
				b.setLayoutParams(lp);
				b.setText("web");
				ll2.addView(b);
				b=new Button(this);
				b.setId(SEARCH);
				b.setOnClickListener(this);
				b.setLayoutParams(lp);
				b.setText("search");
				ll2.addView(b);

				ll.addView(ll2);
			  /*TextView textview2 = new TextView(this);
			  textview2.setText("Shortcuts:");
				ll.addView(textview2);

				ll.addView(create_pref_buttons());*/
			  TextView textview3 = new TextView(this);
			  textview3.setText("Toggle:");
				ll.addView(textview3);
				ll.addView(create_toggle_buttons());
			  setContentView(ll);
		 }

		View create_toggle_buttons() {
			LinearLayout.LayoutParams lp=new LinearLayout.LayoutParams(
			ViewGroup.LayoutParams.FILL_PARENT,ViewGroup.LayoutParams.WRAP_CONTENT
			);
			lp.weight=0.1f;
			LinearLayout ll2=new LinearLayout(this);
			ll2.setLayoutParams(lp);

			Button b=new Button(this);
			b.setOnClickListener(this);
			b.setId(WLAN);
			b.setLayoutParams(lp);
			b.setText("WLAN");
			ll2.addView(b);
			/*b=new Button(this);
			b.setOnClickListener(this);
			b.setId(G3);
			b.setLayoutParams(lp);
			b.setText("3G");
			ll2.addView(b);*/
			return ll2;
		}

		View create_pref_buttons() {
			LinearLayout.LayoutParams lp=new LinearLayout.LayoutParams(
			ViewGroup.LayoutParams.FILL_PARENT,ViewGroup.LayoutParams.WRAP_CONTENT
			);
			lp.weight=0.1f;
			LinearLayout ll2=new LinearLayout(this);
			ll2.setLayoutParams(lp);

			int c=Home.fav_count(this);
			for (int i=0;i<2;i++) {
				Button b=new Button(this);
				b.setOnClickListener(this);
				b.setId(PREF1+i);
				b.setLayoutParams(lp);
				if (c>i) {
					b.setText(Home.fav_title(this,i));
					//b.setEnabled(true);
				} else {
					b.setText("---");
					b.setEnabled(false);
				}
				ll2.addView(b);
			}
			return ll2;
		}
		public void onClick(android.view.View v) {
			Log.d("phkat"," click "+v.getId());
			String text=input.getText().toString();
			Log.d("phkat"," click "+v.getId()+"   ("+text+")");

			try {
				switch (v.getId()) {
					case PREF2:
					case PREF1: {
						String pkg=Home.fav_pkg(this,v.getId()-PREF1);
						String act=Home.fav_act(this,v.getId()-PREF1);
						Intent i=Home.get_start_intent(pkg,act);
							startActivity(i);
						


						return; }
					case WEB:
						if (text==null||text.length()<=0) {
							text="about:blank";
						}
						try {
							Intent i=new Intent("android.intent.action.VIEW", Uri.parse(text));
							startActivity(i);
						} catch (android.content.ActivityNotFoundException e) {
							Intent i=new Intent("android.intent.action.VIEW", Uri.parse("http://"+text));
							startActivity(i);
						}
						return;
					case PHONE: {
						//call number ...
						Intent i=new Intent("android.intent.action.DIAL",Uri.parse("tel:"+text));
						startActivity(i);
						return; }
					case SMS: {

						Intent i = new Intent(Intent.ACTION_VIEW);
						i.putExtra("sms_body", text); 
						//i.putExtra("address", "phoneNumber1;phoneNumber2;...");
						i.setType("vnd.android-dir/mms-sms");
						startActivity(i);   
						return; }
					case SEARCH: {
						Intent i=new Intent("android.intent.action.SEARCH");
						i.putExtra(SearchManager.QUERY,text);
						startActivity(i);
						return; }

					case WLAN: {
						WifiManager wm = (WifiManager) this.getSystemService(Context.WIFI_SERVICE);
						if (wm.isWifiEnabled()) {
							toast("stopping wifi");
							wm.setWifiEnabled(false);
						} else {
							toast("starting wifi");
							wm.setWifiEnabled(true);
						}
					}
				}
			} catch (Exception e) {
				Log.d("phkat","button Exception "+e);
				e.printStackTrace();
			}
		}
		public void toast(String q) {
			Toast.makeText(this,q, Toast.LENGTH_SHORT).show();
		}
	}





	public static class Activity2 extends Home {
		 public void onCreate(Bundle savedInstanceState) {
			  super.onCreate(savedInstanceState);
				include_all_button=false;
				update();
				a2=this;
		 }

		public void update() {
			super.show_fav();
		}
		public void switch_update() {
			((Tabs)this.getParent()).setCurrentTab(2);
			if (a3!=null) a3.update();
		}
	}
	public static class Activity3 extends Home {
		 public void onCreate(Bundle savedInstanceState) {
			  super.onCreate(savedInstanceState);
				include_back_button=false;
				include_recentmode_button=true;
				update();
				a3=this;
		 }
		public void update() {
			Log.d("phkat","update 3");
			super.show_apps();
		}
		public void switch_update() {
			((Tabs)this.getParent()).setCurrentTab(1);
			if (a2!=null) a2.update();
		}
	}

	public void setCurrentTab(int t) {
		tabHost.setCurrentTab(t);
	}

	static Activity2 a2=null;
	static Activity3 a3=null;


	TabHost tabHost=null;

	public void onCreate(Bundle savedInstanceState) {
		 super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		 setContentView(R.layout.main);

		 Resources res = getResources(); 
		 tabHost = getTabHost(); 
		 TabHost.TabSpec spec;  
		 Intent intent; 

		 intent = new Intent().setClass(this, Activity1.class);
		 spec = tabHost.newTabSpec("start").setIndicator("Start").setContent(intent);
		 tabHost.addTab(spec);

		 intent = new Intent().setClass(this,Activity2.class);
		 spec = tabHost.newTabSpec("shortcuts").setIndicator("Shortcuts").setContent(intent);
		 tabHost.addTab(spec);

		 intent = new Intent().setClass(this,Activity3.class);
		 spec = tabHost.newTabSpec("all").setIndicator("All").setContent(intent);
		 tabHost.addTab(spec);


		tabHost.getTabWidget().getChildAt(0).getLayoutParams().height=33;
		tabHost.getTabWidget().getChildAt(1).getLayoutParams().height=33;
		tabHost.getTabWidget().getChildAt(2).getLayoutParams().height=33;


		 tabHost.setCurrentTab(0);
	}


}
